| Home | Libraries | People | FAQ | More

### redirect_error_t

Completion token type used to specify that an error produced by an asynchronous operation is captured to an error_code variable.

    template<
        typename CompletionToken>
    class redirect_error_t

##### Member Functions

Name | Description
--- | ---
redirect_error_t | Constructor.

##### Data Members

Name | Description
--- | ---
ec_ |
token_ |

The `redirect_error_t` class is used to indicate that any error_code produced by an asynchronous operation is captured to a specified variable.

##### Requirements

Header: `boost/asio/redirect_error.hpp`

Convenience header: `boost/asio.hpp`